SSL_SESSION_GET_PROTOCOL_VERSION(3)

NAME
SSL_SESSION_get_protocol_version - get the session protocol version

SYNOPSIS
libssl libcrypto
#include <openssl/ssl.h>
int
SSL_SESSION_get_protocol_version(const SSL_SESSION *s);

DESCRIPTION
SSL_SESSION_get_protocol_version() returns the protocol version number used by the session s.

RETURN VALUES
SSL_SESSION_get_protocol_version() returns a constant like TLS1_VERSION or TLS1_2_VERSION.

SEE ALSO
ssl(3), SSL_get_session(3), SSL_SESSION_get0_peer(3), SSL_SESSION_get_compress_id(3), SSL_SESSION_get_id(3), SSL_SESSION_get_time(3), SSL_SESSION_new(3)

HISTORY
SSL_SESSION_get_protocol_version() first appeared in OpenSSL 1.1.0 and has been available since OpenBSD 6.3.